Subject: Re: RTAS on PowerMac Newworld

From: FASSINO Jean-Philippe <[email-masked]>
Date: Tue, 25 Jul 2000 14:00:56 +0200

Donald Cowart wrote:

> Newbie question, what is RTAS?

It is the Run-Time Abstraction Services which provide functions
to insulate operating systems from having to know about and manipulating
a number devices. It is a interface between hardware and software.
For example, RTAS provide functions for reading and writing PCI configuration,
shutdown, reboot, get time, managing power, ... of the CHRP computer.

JP

--
--------------------------------------------------------------------------
 Jean-Philippe FASSINO              France Telecom R&D : DTL/ASR
 Tel : 04 76 76 45 52
 mailto:[email-masked]
--------------------------------------------------------------------------

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/